Bug 254748 - security/pidentd: Remove from tree
Summary: security/pidentd: Remove from tree
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Juraj Lutter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-03 20:49 UTC by daniel.engberg.lists
Modified: 2021-04-08 16:38 UTC (History)
2 users (show)

See Also:


Attachments
Patch for pidentd (9.84 KB, patch)
2021-04-03 20:49 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2021-04-03 20:49:32 UTC
Created attachment 223792 [details]
Patch for pidentd

Abandoned by upstream, hasn't compiled for a very long time.

https://portsfallout.com/fallout?port=security%2Fpidentd$
https://www.freshports.org/security/pidentd/
Comment 1 Chris Hutchinson 2021-04-06 18:30:17 UTC
Would you mind holding off on this?
I wasn't aware of this port, and have a use for it.
So I'd like to fix and adopt this pots within the
week if you don't mind.

Thanks.

--Chris
Comment 2 daniel.engberg.lists 2021-04-06 19:02:46 UTC
Hi Chris,

We have several alternatives in ports such as oidentd, fakeident etc that are still maintained, instead of keeping abandonware can you please consider moving on?
Comment 3 Chris Hutchinson 2021-04-07 21:19:43 UTC
(In reply to daniel.engberg.lists from comment #2)
Sure. While I haven't investigated the alternatives.
That seems reasonable. If I discover the others aren't quite what I
require. I suppose I could always reintroduce this one. ;-)

Feel free to continue removing this.

Thanks! :-)

--Chris
Comment 4 commit-hook freebsd_committer 2021-04-07 22:27:29 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=97563f8b64fbd41f18a2d7e5ef1c625fd3d79afe

commit 97563f8b64fbd41f18a2d7e5ef1c625fd3d79afe
Author:     Juraj Lutter <otis@FreeBSD.org>
AuthorDate: 2021-04-07 22:22:32 +0000
Commit:     Juraj Lutter <otis@FreeBSD.org>
CommitDate: 2021-04-07 22:22:32 +0000

    security/pidentd: Remove port

    pidentd is broken on recent FreeBSD versions and abandoned upstream.
    Remove port, disconnect from category Makefile.

    PR:             254748
    Reported by:    daniel.engberg.lists@pyret.net

 security/Makefile                                  |  1 -
 security/pidentd/Makefile (gone)                   | 49 -----------
 security/pidentd/distinfo (gone)                   |  4 -
 security/pidentd/files/idecrypt.8 (gone)           | 94 ----------------------
 security/pidentd/files/patch-src_idecrypt.c (gone) | 46 -----------
 security/pidentd/files/patch-src_pides.c (gone)    | 52 ------------
 security/pidentd/pkg-descr (gone)                  | 12 ---
 7 files changed, 258 deletions(-)
Comment 5 Juraj Lutter freebsd_committer 2021-04-07 22:28:03 UTC
Removed, thanks.
Comment 6 commit-hook freebsd_committer 2021-04-08 16:38:03 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c294b2b622e39193387b55d2447e17e7b2644ede

commit c294b2b622e39193387b55d2447e17e7b2644ede
Author:     Juraj Lutter <otis@FreeBSD.org>
AuthorDate: 2021-04-08 16:34:36 +0000
Commit:     Juraj Lutter <otis@FreeBSD.org>
CommitDate: 2021-04-08 16:36:23 +0000

    MOVED: Record security/pidentd removal

    security/pidentd was removed in commit
    97563f8b64fbd41f18a2d7e5ef1c625fd3d79afe

    PR:             254748

 MOVED | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)